//#define XERR
#include "round.ih"

    // by round.f (operator<<)

std::ostream &Round::insert(std::ostream &out) const
{
    Globals::setPrecision(out, 2) << "age: " << d_age;

    for (uint16_t modalityIdx: d_modalities)
        out << ", " << d_modalityIDs[modalityIdx];

    return out;
}
